author | Junio C Hamano <junkio@cox.net> | |
Mon, 9 Apr 2007 06:27:22 +0000 (23:27 -0700) | ||
committer | Junio C Hamano <junkio@cox.net> | |
Mon, 9 Apr 2007 06:27:22 +0000 (23:27 -0700) |
* js/fetch-progress:
git-fetch: add --quiet
git-fetch: add --quiet
1 | 2 | |||
---|---|---|---|---|
git-fetch.sh | patch | | diff1 | | diff2 | | blob | history |
diff --cc git-fetch.sh
index fd70696b7479ad08eedbb44b75654f07247cc37b,3aa117e321a83c7bda912530cb847ee7a73ced02..b04bd553f86213478a36f8ec2f19476f02ccf09f
--- 1/git-fetch.sh
--- 2/git-fetch.sh
+++ b/git-fetch.sh
fi
fi
-fetch_main () {
+fetch_all_at_once () {
+
+ eval=$(echo "$1" | git-fetch--tool parse-reflist "-")
+ eval "$eval"
+
+ ( : subshell because we muck with IFS
+ IFS=" $LF"
+ (
+ if test "$remote" = . ; then
+ git-show-ref $rref || echo failed "$remote"
+ elif test -f "$remote" ; then
+ test -n "$shallow_depth" &&
+ die "shallow clone with bundle is not supported"
+ git-bundle unbundle "$remote" $rref ||
+ echo failed "$remote"
+ else
- git-fetch-pack --thin $exec $keep $shallow_depth $no_progress \
- "$remote" $rref ||
++ git-fetch-pack --thin $exec $keep $shallow_depth \
++ $quiet $no_progress "$remote" $rref ||
+ echo failed "$remote"
+ fi
+ ) |
+ (
+ flags=
+ test -n "$verbose" && flags="$flags -v"
+ test -n "$force" && flags="$flags -f"
+ GIT_REFLOG_ACTION="$GIT_REFLOG_ACTION" \
+ git-fetch--tool $flags native-store \
+ "$remote" "$remote_nick" "$refs"
+ )
+ ) || exit
+
+}
+
+fetch_per_ref () {
reflist="$1"
refs=
rref=
expr "z$head" : "z$_x40\$" >/dev/null ||
die "No such ref $remote_name at $remote"
echo >&2 "Fetching $remote_name from $remote using $proto"
- git-http-fetch -v -a "$head" "$remote" || exit
+ case "$quiet" in '') v=-v ;; *) v= ;; esac
- git-http-fetch $v -a "$head" "$remote/" || exit
++ git-http-fetch $v -a "$head" "$remote" || exit
;;
rsync://*)
test -n "$shallow_depth" &&